#
# spec file for package perl-Wx
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Wx
Version:        0.9928
Release:        1.26
%define cpan_name Wx
Summary:        Interface to the Wxwidgets Cross-Platform Gui Toolkit
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Wx/
Source0:        http://www.cpan.org/authors/id/M/MD/MDOOTSON/%{cpan_name}-%{version}.tar.gz
Source1:        perl-Wx-rpmlintrc
Source2:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Alien::wxWidgets) >= 0.25
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.46
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.15
BuildRequires:  perl(ExtUtils::XSpp) >= 0.1602
Requires:       perl(Alien::wxWidgets) >= 0.25
Requires:       perl(ExtUtils::MakeMaker) >= 6.46
Requires:       perl(ExtUtils::ParseXS) >= 3.15
Requires:       perl(ExtUtils::XSpp) >= 0.1602
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
BuildRequires:  wxWidgets-ansi-devel
BuildRequires:  xspp
# MANUAL END

%description
The Wx module is a wrapper for the wxWidgets (formerly known as wxWindows)
GUI toolkit.

This module comes with extensive documentation in HTML format; you can
download it from http://wxperl.sourceforge.net/

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
# MANUAL no testing (needs X)
#%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes docs README.txt samples typemap.tmpl typemap.xsp wxpl.ico wxpl.xpm Wx.rc

%changelog
* Sat Dec 26 2015 coolo@suse.com
- updated to 0.9928
  see /usr/share/doc/packages/perl-Wx/Changes
  0.9928 Sun Dec 20 2015
  - Fix memory leak in Wx::Timer
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.9927
  see /usr/share/doc/packages/perl-Wx/Changes
  0.9927 Thu Mar 26 2015
  - Fix broken wxWidgets 2.8 builds
  0.9926 Tue Mar 10 2015
  - pause indexing fix
  0.9925 Tue Mar 10 2015
  - pause indexing fix
  0.9924 Tue Mar 10 2015
  - added wxTimer::StartOnce
  - some missing wxGrid constants added
  - fixed Wx::AUI events broken since wxWidgets 2.9.5
  - rt96136 - added GetContentScaleFactor to Wx::DC && Wx::Window
  - rt99038 - MACOSX_DEPLOYMENT_TARGET comparison fixed in Wx build
  - wxMenuItem::SetBitmap available on OSX
  - added some missing TextEntry methods to wxComboBox
  - rt102269 - fix option handling
* Sun Jun  8 2014 coolo@suse.com
- updated to 0.9923
  - Remove force of static binding for mingw libgcc & libstdc++
  0.9902 Thu Oct 13 08:00:00 BST 2011
  - 2.9.2 will now build with recent mingw compilers (>= gcc 4.5.2)
  - Fixed MSVC6 build (broken in 0.9702)
  - wrapped wxLogChain::DetachOldLog
  - added wxDF_UNICODETEXT
  - added wxMediaCtrl constants for all events
  0.9901 Mon June 06 12:00:00 BST 2011
  - Bumped ExtUtils::XSpp dependency to 0.1602
  - added Wx::Frame::SendSizeEvent
  0.99  Thu May 05 08:00:00 BST 2011
  - Release 0.98_01 as 0.99
  0.98_01 Thu Apr 21 20:31:30 CEST 2010
  - Added wxProgressDialog::Pulse (wxWidgets 2.8)
  - Mac SetFrontProcess can be switched off for editors
    and tests using env variable. Still switched on by default.
    Added detail to Wx pod
  - Added several wxLog functions & methods + Wx::PLlog::Flush
  - Added wxDateTime::IsValid wxSplitterWindow::UpdateSize
  - fix for Wx::Locale::FindLanguageInfo / GetLanguageInfo
  - wxPli_create_evthandler added for VListBox and VScrolledWindow
  - Added OnDrawSeparator and OnDrawBackground for VListBox
  - added GradientFillConcentric & DrawLabel for wxDC
* Fri Apr 22 2011 coolo@opensuse.org
- fix permissions
* Tue Apr 12 2011 coolo@opensuse.org
- initial package 0.98
  * created by cpanspec 1.78.04
